Page MenuHomePhabricator

Division by zero in /includes/ImagePage.php
Closed, ResolvedPublic

Description

Warning: Division by zero in /usr/local/apache/common-local/php-1.20wmf3/includes/ImagePage.php on line 344


Version: unspecified
Severity: normal

Details

Reference
bz36911

Event Timeline

bzimport raised the priority of this task from to Low.
bzimport set Reference to bz36911.
bzimport added a subscriber: Unknown Object (MLST).
Reedy created this task.May 16 2012, 6:44 PM
Reedy added a comment.May 16 2012, 6:46 PM

1 Warning: Division by zero in /usr/local/apache/common-local/php-1.20wmf3/includes/ImagePage.php on line 344

1 Warning:  Division by zero in /usr/local/apache/common-local/php-1.20wmf3/includes/ImagePage.php on line 343
1 Warning:  Division by zero in /usr/local/apache/common-local/php-1.20wmf3/includes/ImagePage.php on line 338
Reedy added a comment.Dec 6 2012, 11:57 PM

PHP Warning: Division by zero in /usr/local/apache/common-local/php-1.21wmf5/includes/ImagePage.php on line 349

Reedy added a comment.Dec 7 2012, 12:00 AM

As these lines are moving, and to make it more apparent... FIXME comments left in https://gerrit.wikimedia.org/r/#/c/37344/

Reedy added a comment.Dec 7 2012, 8:03 PM
8 PHP Warning:  Division by zero in /usr/local/apache/common-local/php-1.21wmf5/includes/ImagePage.php on line 348
8 PHP Warning:  Division by zero in /usr/local/apache/common-local/php-1.21wmf5/includes/ImagePage.php on line 343
7 PHP Warning:  Division by zero in /usr/local/apache/common-local/php-1.21wmf5/includes/ImagePage.php on line 349

Looks like my 344 commentone is extra, but no harm in being safe!

Other than the hilariousness of division by zero errors, I'm unsure what the actual significance of this is to the end user. Setting to low.

Change 134855 had a related patch set uploaded by Brian Wolff:
Make SVG files show "In other resolutions" at all sizes

https://gerrit.wikimedia.org/r/134855

Change 134855 merged by jenkins-bot:
Make SVG files show "In other resolutions" at all sizes

https://gerrit.wikimedia.org/r/134855

I believe this is fixed now.